MODULE  chunkModule

  TYPE, PUBLIC :: chunk_type
    REAL(KIND=8) t(22,22,22)
    INTEGER xidx, yidx, zidx
    INTEGER xm, xp, ym, yp, zm, zp
    REAL(KIND=8), dimension(400):: sbxm, sbxp, sbym, sbyp, sbzm, sbzp
    REAL(KIND=8), dimension(400):: rbxm, rbxp, rbym, rbyp, rbzm, rbzp
  END TYPE chunk_type

  TYPE, PUBLIC :: chunkdata
    type(chunk_type), pointer :: chunk
  end type chunkdata

  INTEGER , parameter :: nx=2, ny=2, nz=2, tchunks=8

END MODULE chunkModule

